# Class ExternalException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.a11y.brlapi.ProgramException
org.a11y.brlapi.ExternalException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConnectException`

public class ExternalException extends ProgramException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExternalException(String format, Object... arguments)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExternalException

public ExternalException(String format, Object... arguments)